using System;
using Server;

namespace Server.Items
{
	public class AntLionHole : MultiItem
	{
		
		[Constructable]
		public AntLionHole()
		{
			AddComponent( new MultiItemComponent( 0x913 ),"a hole",1,0,0,0);
			AddComponent( new MultiItemComponent( 0x913 ),"a hole",1,0,0,3);

			AddComponent( new MultiItemComponent( 0x1b01 ),"cracks",1,-1,0,0);
			AddComponent( new MultiItemComponent( 0x1b02 ),"cracks",1,0,-1,0);
			AddComponent( new MultiItemComponent( 0x1b03 ),"cracks",1,0,1,2);
			AddComponent( new MultiItemComponent( 0x1b04 ),"cracks",1,1,0,2);
		}

		public AntLionHole( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 1 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}