using System;
using System.Collections;
using Server;
using Server.Items;

namespace Server.Items
{
	public class Vats : BaseAddon
	{
		[Constructable]
		public Vats()
		{
			AddComponent( new AddonComponent( 0x1559 ), 0, 0, 0 ); 
			AddComponent( new AddonComponent( 0x1558 ), -1, -1, 0 ); 
			AddComponent( new AddonComponent( 0x14DE ), -2, 0, 0 ); 
			AddComponent( new AddonComponent( 0x1552 ), -1, 0, 0 );
			AddComponent( new AddonComponent( 0x1554 ), 0, -1, 0 );
			AddComponent( new AddonComponent( 0x14DF ), 0, -2, 0 );
			AddComponent( new AddonComponent( 0x1555 ), 2, 0, 0 );
			AddComponent( new AddonComponent( 0x14D7 ), 1, 1, 0 );
			AddComponent( new AddonComponent( 0x1550 ), 0, 2, 0 );
		}

		public Vats( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}